Source: haskell-dimensional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Iulian Udrea <iulian@linux.com>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-exact-pi-dev (>= 0.4.1),
 libghc-exact-pi-dev (<< 0.6),
 libghc-exact-pi-prof,
 libghc-ieee754-dev (>= 0.7.6),
 libghc-ieee754-prof,
 libghc-numtype-dk-dev (>= 0.5),
 libghc-numtype-dk-dev (<< 1.1),
 libghc-numtype-dk-dev (>= 0.5),
 libghc-numtype-dk-prof,
 libghc-semigroups-dev,
 libghc-semigroups-prof,
 libghc-vector-dev (>= 0.10),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-exact-pi-doc,
 libghc-ieee754-doc,
 libghc-numtype-dk-doc,
 libghc-semigroups-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/bjornbm/dimensional/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-dimensional
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-dimensional]

Package: libghc-dimensional-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: statically checked physical dimensions${haskell:ShortBlurb}
 Dimensional is a library providing data types for performing arithmetic
 with physical quantities and units. Information about the physical
 dimensions of the quantities and units is embedded in their types and the
 validity of operations is verified by the type checker at compile time. The
 boxing and unboxing of numerical values as quantities is done by
 multiplication and division with units.
 .
 The library is designed to, as far as is practical, enforce/encourage best
 practices of unit usage.
 .
 ${haskell:Blurb}

Package: libghc-dimensional-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: statically checked physical dimensions${haskell:ShortBlurb}
 Dimensional is a library providing data types for performing arithmetic
 with physical quantities and units. Information about the physical
 dimensions of the quantities and units is embedded in their types and the
 validity of operations is verified by the type checker at compile time. The
 boxing and unboxing of numerical values as quantities is done by
 multiplication and division with units.
 .
 The library is designed to, as far as is practical, enforce/encourage best
 practices of unit usage.
 .
 ${haskell:Blurb}

Package: libghc-dimensional-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: statically checked physical dimensions${haskell:ShortBlurb}
 Dimensional is a library providing data types for performing arithmetic
 with physical quantities and units. Information about the physical
 dimensions of the quantities and units is embedded in their types and the
 validity of operations is verified by the type checker at compile time. The
 boxing and unboxing of numerical values as quantities is done by
 multiplication and division with units.
 .
 The library is designed to, as far as is practical, enforce/encourage best
 practices of unit usage.
 .
 ${haskell:Blurb}
